# osg::CullFace Class Reference

Class to globally enable/disable OpenGL's polygon culling mode. More...

Inheritance diagram for osg::CullFace:

[legend]
List of all members.

## Public Types

enum | Mode { FRONT = GL_FRONT, BACK = GL_BACK, FRONT_AND_BACK = GL_FRONT_AND_BACK }

## Public Member Functions

| CullFace (Mode mode=BACK)
| CullFace (const CullFace &cf, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, CullFace, CULLFACE)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
| Return the modes associated with this StateAttribute.
void | setMode (Mode mode)
Mode | getMode () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.

## Protected Member Functions

virtual | ~CullFace ()

## Protected Attributes

Mode | _mode

## Detailed Description

Class to globally enable/disable OpenGL's polygon culling mode.

## Member Enumeration Documentation

enum osg::CullFace::Mode

Enumeration values:

  FRONT |
  BACK |
  FRONT_AND_BACK |

## Constructor & Destructor Documentation

osg::CullFace::CullFace | ( | Mode | mode = `BACK` | ) | `[inline]`

osg::CullFace::CullFace | ( | const CullFace & | cf,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

CullFace::~CullFace | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void CullFace::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::CullFace::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

Mode osg::CullFace::getMode | ( |  | ) | const`[inline]`

virtual bool osg::CullFace::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

| Return the modes associated with this StateAttribute. Reimplemented from osg::StateAttribute.

osg::CullFace::META_StateAttribute | ( | osg | ,
|  | CullFace | ,
|  | CULLFACE |
| ) |

void osg::CullFace::setMode | ( | Mode | mode | ) | `[inline]`

## Member Data Documentation

Mode osg::CullFace::_mode `[protected]`

The documentation for this class was generated from the following files:

- CullFace
- CullFace.cpp